#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Feb 12 12:15:26 2021

@author: tanu
"""
import os
homedir = os.path.expanduser('~')
os.chdir (homedir + '/git/LSHTM_analysis/mcsm_na')
from submit import *

#%%#####################################################################
#EXAMPLE RUN for different stages
#=====================
# STAGE: submit.py
#=====================
my_host = 'http://biosig.unimelb.edu.au'
my_prediction_url = f"{host}/mcsm_na/run_prediction"
print(my_prediction_url)

my_outdir = homedir + '/git/LSHTM_analysis/mcsm_na'

my_pdb_file = homedir + '/git/Data/streptomycin/input/gid_complex.pdb'
my_mutation_list = homedir + '/git/LSHTM_analysis/mcsm_na/input_snp_test_b1.csv'
my_suffix = 'gid_test1'

#----------------------------------------------
# example 1: 2 snps in a file
#----------------------------------------------
submit_mcsm_na(host_url = my_host
, pdb_file = my_pdb_file
, mutation_list = my_mutation_list
, chain = my_chain
, email_address = my_email
, prediction_url = my_prediction_url
, output_dir = my_outdir
, outfile_suffix = my_suffix) 
#%%###################################################################

